<?xml version = "1.0" encoding="utf-8"?>
<div>

    <script type="text/template" name="Menu">
        <span class="dropdown">
        <i data-toggle="dropdown" class="fa fa-navicon uw-hover uw-clickable"></i>
        <ul class="dropdown-menu multi-level">
            <li><a href="#" value="start">Start a Process</a></li>
            <li role="separator" class="divider"></li>
            <li><a href="#" value="exit">Exit</a></li>
        </ul>
        </span>
    </script>

    <script type="text/template" name="Finder">
        <form name="criteria" class="form-horizontal">
            <div class="form-group">
                <label class="control-label col-sm-2">Process Model</label>
                <div class="col-sm-3">
                    <select class="form-control" name="processModelId" reference="processModels" valueField="id" displayField="name"/>
                </div>
                <label class="control-label col-sm-2">Key</label>
                <div class="col-sm-3">
                    <input type="text" class="form-control" name="key" subject="key" predicate="like">
                </div>
                <div class="col-sm-1">
                    <button type="submit" class="btn uw-button-attention" value="search">
                        <i class="fa fa-sign-in" aria-hidden="true"></i>
                        <span>Search</span>
                    </button>
                </div>
                <div class="col-sm-1">
                    <button type="reset" class="btn uw-button-default" value="reset">
                        <i class="fa fa-undo" aria-hidden="true"></i>
                        <span>Reset</span>
                    </button>
                </div>
            </div>
        </form>
        <hr>
        <fieldset>
            <legend>Active Process Instances</legend>
            <table name="grid" class="table table-striped" mode="single">
                <thead>
                <tr>
                    <th handler="SELECTOR"></th>
                    <th dataIndex="key" editable="false" style="min-width:200px;">Key</th>
                    <th dataIndex="processModelId" editable="false" reference="processModels" referenceIndex="name" style="min-width:200px;">Model</th>
                    <th dataIndex="activeActivityIds" editable="false">Active Activities</th>
                    <th dataIndex="suspended" editable="false" style="min-width:150px;">Suspended</th>
                    <th dataIndex="ended" editable="false" style="min-width:150px;">Ended</th>
                </tr>
                </thead>
            </table>
            <div name="commandbar" class="pull-left">
                <button type="button" value="edit" class="btn uw-button-default">
                    <i class="fa fa-pencil" aria-hidden="true"></i>
                    <span>Edit</span>
                </button>
                <button type="button" value="suspend" class="btn uw-button-warning"
                        confirmation="Suspend the processes?: Are you sure you want to suspend the selected processes?" >
                    <i class="fa fa-pause" aria-hidden="true"></i>
                    <span>Suspend</span>
                </button>
                <button type="button" value="activate" class="btn uw-button-warning"
                        confirmation="Activate the processes?: Are you sure you want to delete the selected processes?" >
                    <i class="fa fa-play" aria-hidden="true"></i>
                    <span>Activate</span>
                </button>
                <button type="button" value="cancel" class="btn uw-button-danger"
                        confirmation="Cancel the processes?: Are you sure you want to delete the selected processes?" >
                    <i class="fa fa-stop" aria-hidden="true"></i>
                    <span>Cancel</span>
                </button>
            </div>
            <div class="pull-right">
                <nav>
                    <ul name="pagination" class="pagination"></ul>
                </nav>
            </div>
        </fieldset>
    </script>

    <script type="text/template" name="Editor">
        <form class="form-horizontal">
            <div class="form-group">
                <label class="control-label col-sm-1" name="key">Key</label>
                <div class="col-sm-4">
                    <input type="text" class="form-control" name="key" readonly>
                </div>
                <label class="control-label col-sm-2" name="processModelId">Process Model</label>
                <div class="col-sm-4">
                    <select class="form-control" name="processModelId" reference="processModels" valueField="id" displayField="name" readonly/>
                </div>
            </div>
            <div class="form-group">
                <div class="col-sm-12">
                    <fieldset>
                        <legend>Active Activities (Tasks)</legend>
                        <table name="tasks" class="table table-striped" mode="single">
                            <thead>
                            <tr>
                                <th handler="SELECTOR"></th>
                                <th dataIndex="id">Task ID</th>
                                <th dataIndex="activityId">Activity ID</th>
                                <th dataIndex="name">Name</th>
                                <th dataIndex="owner">Owner</th>
                                <th dataIndex="assignee">Assignee</th>
                                <th dataIndex="createTime">Create Time</th>
                                <th dataIndex="followUpDate">Follow-up Date</th>
                                <th dataIndex="dueDate">Due Date</th>
                                <th dataIndex="description">Description</th>
                                <th dataIndex="id"></th>
                            </tr>
                            </thead>
                        </table>
                        <div name="tasksTrigger" class="pull-right">
                            <button type="button" value="edit" class="btn-sm uw-button-attention">
                                <i class="fa fa-pencil" aria-hidden="true"></i>
                                <span>Edit</span>
                            </button>
                            <button type="button" value="complete" class="btn-sm uw-button-warning"
                                    confirmation="Complete?: Do you want to complete the task/activity?" >
                                <i class="fa fa-send" aria-hidden="true"></i>
                                <span>Complete</span>
                            </button>
                        </div>
                    </fieldset>
                </div>
            </div>
            <div class="form-group">
                <div class="col-sm-12">
                    <fieldset>
                        <legend>Historic Activities (Task Logs)</legend>
                        <table name="taskLogs" class="table table-striped" mode="none">
                            <thead>
                            <tr>
                                <th dataIndex="id">Task ID</th>
                                <th dataIndex="activityId">Activity ID</th>
                                <th dataIndex="name">Name</th>
                                <th dataIndex="owner">Owner</th>
                                <th dataIndex="assignee">Assignee</th>
                                <th dataIndex="executor">Executor</th>
                                <th dataIndex="createTime">Create Time</th>
                                <th dataIndex="completeTime">Complete Time</th>
                                <th dataIndex="followUpDate">Follow-up Date</th>
                                <th dataIndex="dueDate">Due Date</th>
                            </tr>
                            </thead>
                        </table>
                    </fieldset>
                </div>
            </div>
            <div class="form-group">
                <div class="col-sm-12">
                    <div name="processInstanceTrigger">
                        <button type="button" value="close" class="btn uw-button-default">
                            <i class="fa fa-close" aria-hidden="true"></i>
                            <span>Close</span>
                        </button>
                        <button type="button" value="suspend" class="btn uw-button-warning"
                                confirmation="Suspend?: Do you want to suspend the process?" >
                            <i class="fa fa-pause" aria-hidden="true"></i>
                            <span>Suspend</span>
                        </button>
                        <button type="button" value="activate" class="btn uw-button-warning"
                                confirmation="Activate?: Do you want to activate the process?" >
                            <i class="fa fa-play" aria-hidden="true"></i>
                            <span>Activate</span>
                        </button>
                        <button type="button" value="cancel" class="btn uw-button-danger"
                                confirmation="Suspend?: Do you want to cancel the process?" >
                            <i class="fa fa-stop" aria-hidden="true"></i>
                            <span>Cancel</span>
                        </button>
                    </div>
                </div>
            </div>
        </form>
    </script>
    <script type="text/template" name="ProcessModelSelector">
        <table class="table table-striped" mode="single" style="width:600px;">
            <thead>
            <tr>
                <th handler="SELECTOR"></th>
                <th dataIndex="key" editable="false" style="min-width:200px;">Key</th>
                <th dataIndex="name" editable="false" style="min-width:200px;">Name</th>
            </tr>
            </thead>
        </table>
        <nav class="text-center">
            <ul name="pagination" class="pagination"></ul>
        </nav>
    </script>
    <script type="text/template" name="TaskEditForm">
        <form class="form-horizontal" style="width:500px;">
            <div class="form-group">
                <label class="control-label col-sm-2" name="owner">Owner</label>
                <div class="col-sm-4">
                    <input type="text" class="form-control" name="owner">
                </div>
                <label class="control-label col-sm-2" name="assignee">Assignee</label>
                <div class="col-sm-4">
                    <input type="text" class="form-control" name="assignee">
                </div>
            </div>
            <div class="form-group">
                <label class="control-label col-sm-2" name="followUpDate">Follow-up Date</label>
                <div class="col-sm-4">
                    <input type="date" class="form-control" name="followUpDate">
                </div>
                <label class="control-label col-sm-2" name="dueDate">Due Date</label>
                <div class="col-sm-4">
                    <input type="date" class="form-control" name="dueDate">
                </div>
            </div>
            <div class="form-group">
                <label class="control-label col-sm-2" name="variables">Variables</label>
                <div class="col-sm-10">
                    <textarea class="form-control" rows="6" name="variables"></textarea>
                </div>
            </div>
        </form>
    </script>
    <script type="text/template" name="VariablesViewer">
        <form class="form" style="width:400px;">
            <div class="form-group">
                <textarea class="form-control" rows="6" name="variables" readonly></textarea>
            </div>
        </form>
    </script>
    <script type="text/template" name="TaskSubmitForm">
        <form class="form" style="width:400px;">
            <div class="form-group">
                <label class="control-label" name="executor">Executor</label>
                <input type="text" class="form-control" name="executor">
            </div>
            <div class="form-group">
                <label class="control-label" name="variables">Variables</label>
                <textarea class="form-control" rows="6" name="variables"></textarea>
            </div>
        </form>
    </script>
    <script type="text/template" name="VariablesButton">
        <button type="button" class="btn-sm uw-button-attention">
            <span>Variables</span>
        </button>
    </script>
</div>